#include "nsIGenericFactory.h"
#include "Mole_v0.h"

NS_GENERIC_FACTORY_CONSTRUCTOR(Mole_v0)

static nsModuleComponentInfo components[] =
{
    {
       MOLE_V0_CLASSNAME, 
       MOLE_V0_CID,
       MOLE_V0_CONTRACTID,
       Mole_v0Constructor,
    }
};

NS_IMPL_NSGETMODULE("MyComponentsModule", components) 

